Summary: Additional error protection for CD/DVD media
Name: dvdisaster
Version: 0.72.2
Release: 1%{?dist}
Group: Applications/Archiving
License: GPLv2+
URL: http://www.dvdisaster.com
Source0: http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gtk2-devel >= 2.6.0
BuildRequires: gettext, desktop-file-utils
BuildRequires: bzip2-devel, libpng-devel
Requires: xdg-utils

%description
%{name} provides a margin of safety against data loss on CD and DVD media
caused by scratches or aging. It creates error correction data,
which is used to recover unreadable sectors if the disc becomes damaged
at a later time.

%description -l de
%{name} erzeugt einen Sicherheitspuffer gegen Datenverluste, die auf
CD- und DVD-Datenträgern durch Alterung oder Kratzer entstehen. Es erzeugt
Fehlerkorrekturdaten, um bei nachfolgenden Datenträger-Problemen unlesbare
Sektoren zu rekonstruieren.

%description -l it
%{name} offre un margine di sicurezza contro la perdita di dati dei supporti
CD e DVD causata dall'invecchiamento e dai graffi. Crea dei dati di correzione
degli errori che saranno poi utilizzati per recuperare i settori illeggibili
se il supporto dovesse danneggiarsi col tempo.

%description -l cs
%{name} poskytuje dodatečnou ochranu proti ztrátě dat na médiích CD a DVD
způsobených poškrábáním nebo stárnutím. Vytváří data oprav chyb, která
jsou použita pro obnovu nečitelných sektorů, pokud se disk později
poškodí.


%prep
%setup -q


%build

%configure	\
	--docdir=%{_docdir} \
	--localedir=%{_datadir}/locale

# can not build locales with %{?_smp_mflags}
make 


%install
rm -rf $RPM_BUILD_ROOT

make install BUILDROOT=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_bindir}/*-uninstall.sh

install -d $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -p -m644 contrib/dvdisaster48.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/

desktop-file-install --vendor fedora			\
	--dir ${RPM_BUILD_ROOT}%{_datadir}/applications	\
	contrib/%{name}.desktop
	
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*

%dir %{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-%{version}/CHANGELOG
%{_docdir}/%{name}-%{version}/COPYING
%{_docdir}/%{name}-%{version}/CREDITS.en
%{_docdir}/%{name}-%{version}/README.MODIFYING
%lang(de) %{_docdir}/%{name}-%{version}/CREDITS.de
%lang(cs) %{_docdir}/%{name}-%{version}/CREDITS.cs
%{_docdir}/%{name}-%{version}/TODO
%{_docdir}/%{name}-%{version}/en
%lang(de) %{_docdir}/%{name}-%{version}/de
%lang(ru) %{_docdir}/%{name}-%{version}/ru
%{_docdir}/%{name}-%{version}/images
%{_docdir}/%{name}-%{version}/include

%{_mandir}/man1/*
%lang(de) %{_mandir}/de/man1/*
%lang(it) %{_mandir}/it/man1/*
%lang(cs) %{_mandir}/cs/man1/*


%changelog
* Fri Mar 25 2011 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.72.2-1
- Update to 0.72.2

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.72.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 19 2009 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.72.1-1
- Update to 0.72.1

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.72-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 13 2009 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.72-1
- Upgrade to 0.72

* Tue Apr  8 2008 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.70.6-1
- Update to 0.70.6

* Tue Mar  4 2008 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.70.5-1
- Update to 0.70.5

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.70.4-4
- Autorebuild for GCC 4.3

* Tue Nov  6 2007 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.70.4-3
- Add xdg-open patch (by Ville Skytta, #365401)

* Tue Aug 28 2007 Dmitry Butskoy <Dmitry@Butskoy.name>
- Correct Source0 url

* Thu Aug 16 2007 Dmitry Butskoy <Dmitry@Butskoy.name>
- Change License tag to GPLv2+

* Tue Jun 26 2007 Dmitry Butskoy <Dmitry@Butskoy.name>
- drop X-Fedora category from desktop file

* Mon Mar 26 2007 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.70.4-2
- own root docdir too (#233832)

* Fri Feb 16 2007 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.70.4-1
- update to 0.70.4

* Fri Dec 15 2006 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.70.3-1
- update to 0.70.3

* Mon Oct 23 2006 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.70.2-1
- update to 0.70.2

* Fri Sep 11 2006 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.70.1-1
- update to 0.70.1
- add two upstream's pre-0.70.2 patches.

* Mon Jul 24 2006 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.70-1
- upgrade to 0.70

* Fri Mar 31 2006 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.66-2
- fix pixmap icon name

* Thu Mar 30 2006 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.66-1
- upgrade to 0.66
- spec file changes/cleanups, merged from a skeleton now included upstream
- still specify dirs explicitly on install due to typo in GNUmakefile
- remove unneeded uninstall.sh script after install

* Tue Jan 31 2006 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.65-1
- upgrade to 0.65
- drop browser patch (no more needed)
- drop manual convertations to utf8 -- already in good encodings.
- handle new locale (czech)

* Thu Nov  3 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.64.2-2
- use user preferred browser to view manuals online (patch0)
- Accepted for Fedora Extra (review by Ville Skytta <ville.skytta@iki.fi>)

* Wed Nov  2 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.64.2-1
- update to 0.64.2
- drop the patches (no more needed).

* Thu Oct 27 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.64-3
- add 0.64-pl1 patch, generated by upstream "0.64-1" version
  (do not include new version tarball itself due to bad versioning scheme).
- remove StartupNotify from .desktop file at all.
- add patch1 -- do not create files with executable bit set.

* Sat Oct 22 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.64-2
- spec file cleanups
- build and install stages correct

* Fri Oct 21 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.64-1
- initial release
- convert locale manuals to utf8
- add desktop file

